<?php

/**
*
* @package phpBB3 Football
* @version $Id: football.php 12 2011-03-13 08:03:31Z football $
* @copyright (c) 2010 football (http://football.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

define('IN_PHPBB', true);
define('IN_FOOTBALL', true);
define('PHPBB_ROOT_PATH', './');

$phpbb_root_path 	= (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';

$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'football/includes/functions.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
if ($config['football_override_style'])
{
	$user->data['user_style'] = $config['football_style'];
	$user->setup('mods/lang_football', $config['football_style']);
}
else
{
	$user->setup('mods/lang_football');
}

// Exclude Bots
if ($user->data['is_bot'])
{
	redirect(append_sid("{$phpbb_root_path}index.$phpEx"));
}

// Disable Football MOD if the install_football folder is still present
if (file_exists($phpbb_root_path . 'install_football'))
{
	// Adjust the message slightly according to the permissions
	if ( $auth->acl_gets('a_') )
	{
		$message = $user->lang['FOOTBALL_REMOVE_INSTALL'];
	}
	else
	{
		$message = (!empty($config['football_disable_msg'])) ? $config['football_disable_msg'] : 'FOOTBALL_DISABLED';
	}
	trigger_error($message);
}

// Football disabled?
if ($config['football_disable'])
{
	$message = (!empty($config['football_disable_msg'])) ? $config['football_disable_msg'] : 'FOOTBALL_DISABLED';
	trigger_error($message);
}

// Display Football Information
$football_info = '';
if ($config['football_info_display'])
{
	$football_info = (!empty($config['football_info'])) ? $config['football_info'] : '';
}

$google  = request_var('g', 0);
$side 	 = request_var('side', 'bet');
$sidepar = '?side=' . $side;
$view	 = request_var('view', '');
$action  = request_var('action', '');
//*****************************************************************************

// Can this user view football-sides?
if ($user->data['is_bot'])
{
	redirect(append_sid("{$phpbb_root_path}index.$phpEx"));
}
if (!$config['football_guest_view'])
{
	if ($user->data['user_id'] == ANONYMOUS)
	{
		if ($google == 1)
		{
			$google_redirect = append_sid("football.$phpEx", 'side=bet&amp;g=1');
			google_login($google_redirect, ($user->lang['LOGIN_EXPLAIN_FOOTBALL']));
		}
		else
		{
			login_box('', ($user->lang['LOGIN_EXPLAIN_FOOTBALL']));
		}
	}
}

if ($user->data['user_id'] <> ANONYMOUS)
{
	//Check if you are locked or not
	if ( !$auth->acl_get('u_use_football') )
	{
		trigger_error('NOT_AUTHORISED');
	}
}

// Calcute parameter

// Calculate season
$season	= request_var('s', 0);
if ($season)
{
	// Check given season 
	$sql = 'SELECT * FROM ' . FOOTB_SEASONS . " WHERE season = $season";
	$result = $db->sql_query($sql);
	if(!$row = $db->sql_fetchrow($result))
	{
		$season = curr_season();
	}
$db->sql_freeresult($result);
}
else
{
	// Set current season
	$season = curr_season();
}

// Calculate league
$maxmatchday = 0;
$league_info = array();
if ($season)
{
	$league	= request_var('l', 0);
	if ($league)
	{
		// Check given league 
		$sql = 'SELECT * FROM ' . FOOTB_LEAGUES . " WHERE season = $season AND league = $league";
		$result = $db->sql_query($sql);
		if(!$row = $db->sql_fetchrow($result))
		{
			// Set starting league
			if ($config['football_view_current'])
			{
				$league = current_league($season);
			}
			else
			{
				$league = first_league($season);
			}
		}
		else
		{
			$league_info = $row;
		}
		$db->sql_freeresult($result);
	}
	else
	{
		if ($side <> 'bank')
		{
			// Set starting league
			if ($config['football_view_current'])
			{
				$league = current_league($season);
			}
			else
			{
				$league = first_league($season);
			}
		}
	}
}
else
{
	$league	= 0;
}

// Calculate selected user
$user_sel	= request_var('u', 0);
if ($user_sel)
{
	$link_user = '&amp;u=' . $user_sel;
}
else
{
	$link_user = '';
}

if ($google == 1)
{
	$link_google = '&amp;g=1';
}
else
{
	$link_google = '';
}

//*****************************************************************************

// Close matchday
close_open_matchdays();

//*****************************************************************************


// Calculate Matchday
if ($league)
{
	// League information not set?
	if (!sizeof($league_info))
	{
		// Get league information for this league (required for select_points)
		$league_info = league_info($season, $league);
	}
	$maxmatchday = $league_info['matchdays'];
	$curr_matchday 	= curr_matchday($season, $league);
	$matchday		= request_var('m', $curr_matchday);
	// If switched from another league with more matchdays
	if(($matchday < 1) OR ($matchday > $maxmatchday))
	{
		$matchday = $curr_matchday;
	}
}
else
{
	$curr_matchday 	= 0;
	$matchday		= 0;
}

// End calculate matchday

// End calcute parameter

//*****************************************************************************

// Start execute the action
$dbmsg = '';
switch($action)
{
	case 'bet':
		if ($user->data['user_id'] != ANONYMOUS)
		{
			$user_id = $user->data['user_id'];
			$sql = 'SELECT * FROM ' . FOOTB_MATCHES . " WHERE season = $season AND league = $league AND matchday = $matchday AND status <= 0";
			$resultopen = $db->sql_query($sql);
			$count_updates = 0;
			while( $row = $db->sql_fetchrow($resultopen))
			{
				$match_no = $row['match_no'];
				$goalsh = request_var('goalsh' . $match_no, 'nv');
				$goalsg = request_var('goalsg' . $match_no, 'nv');
				if ($goalsh != 'nv' AND $goalsg != 'nv')
				{
					if(($goalsh != '') AND ($goalsg != ''))
					{
						if(is_numeric($goalsh) AND is_numeric($goalsg) AND $goalsh >= 0 AND $goalsg >= 0)
						{
							if (0 == $count_updates)
							{
								$sameh = $goalsh;
								$sameg = $goalsg;
								$same = 1;
							}
							else
							{
								if ($goalsh != $sameh OR $goalsg != $sameg)
									$same = 0;
							}
							$sql = 'SELECT * FROM ' . FOOTB_BETS . " WHERE season = $season AND league = $league AND match_no = $match_no and user_id = $user_id";
							$result = $db->sql_query($sql);
							$row2 = $db->sql_fetchrow($result);
							$db->sql_freeresult($result);
							if(!$row2)
							{
								$sql_ary = array(
									'season'		=> (int) $season,
									'league'		=> (int) $league,
									'match_no'		=> (int) $match_no,
									'user_id'		=> (int) $user_id,
									'goals_home'	=> (int) $goalsh,
									'goals_guest'	=> (int) $goalsg,
								);
								$sql = 'INSERT INTO ' . FOOTB_BETS . ' ' . $db->sql_build_array('INSERT', $sql_ary);
								$db->sql_query($sql);
							}
							else
							{
								$sql_ary = array(
									'goals_home'	=> (int) $goalsh,
									'goals_guest'	=> (int) $goalsg,
								);
								$sql = 'UPDATE ' . FOOTB_BETS . '
									SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
									WHERE season = $season AND league = $league AND match_no = $match_no AND user_id = $user_id";
								$db->sql_query($sql);
							}
							$count_updates++;
							$lastmatch_no = $match_no;
						}
					}
					else
					{
						// Goals unset
						$sql_ary = array(
							'goals_home'			=> '',
							'goals_guest'			=> '',
						);
						$sql = 'UPDATE ' . FOOTB_BETS . '
							SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
							WHERE season = $season AND league = $league AND match_no = $match_no AND user_id = $user_id";
						$db->sql_query($sql);
					}
				}
			}
			if ($count_updates > 0)
			{
				if ($same AND ($count_updates > 6) AND $config['football_same_allowed'] == 0)
				{
					$sql_ary = array(
						'goals_home'	=> (int) $goalsh + 1,
					);
					$sql = 'UPDATE ' . FOOTB_BETS . '
						SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
						WHERE season = $season AND league = $league AND match_no = $lastmatch_no and user_id = $user_id";
					$db->sql_query($sql);
					$dbmsg = sprintf($user->lang['SAMESAVED'], $count_updates);
				}
				else
				{
					if ($count_updates == 1)
					{
						$dbmsg = sprintf($user->lang['BETSAVED']);
					}
					else
					{
						$dbmsg = sprintf($user->lang['BETSSAVED'], $count_updates);
					}
				}
			}
			else
			{
				$dbmsg = sprintf($user->lang['NO_BETS_SAVED']);
			}
			$db->sql_freeresult($resultopen);
			
			// extra bets
			$sql = 'SELECT * FROM ' . FOOTB_EXTRA . " WHERE season = $season AND league = $league  AND matchday = $matchday AND extra_status <= 0";
			$resultextra = $db->sql_query($sql);
			$count_extra_updates = 0;
			while( $row = $db->sql_fetchrow($resultextra))
			{
				$extra_no = $row['extra_no'];
				$extra_bet = request_var('extra' . $extra_no, 'nv');
				if ($extra_bet != 'nv')
				{
					if ($row['question_type'] == 5 && !is_numeric($extra_bet))
					{
						$extra_bet = '';
					}
					if ($extra_bet != '') 
					{
						$sql = 'SELECT * FROM ' . FOOTB_EXTRA_BETS . " WHERE season = $season AND league = $league AND extra_no = $extra_no and user_id = $user_id";
						$result = $db->sql_query($sql);
						$row2 = $db->sql_fetchrow($result);
						$db->sql_freeresult($result);
						if(!$row2)
						{
							$sql_ary = array(
								'season'		=> (int) $season,
								'league'		=> (int) $league,
								'extra_no'		=> (int) $extra_no,
								'user_id'		=> (int) $user_id,
								'bet'			=> $extra_bet,
								'bet_points'	=> 0,
							);
							$sql = 'INSERT INTO ' . FOOTB_EXTRA_BETS . ' ' . $db->sql_build_array('INSERT', $sql_ary);
							$db->sql_query($sql);
						}
						else
						{
							$sql_ary = array(
								'bet'	=> $extra_bet,
							);
							$sql = 'UPDATE ' . FOOTB_EXTRA_BETS . '
								SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
								WHERE season = $season AND league = $league AND extra_no = $extra_no AND user_id = $user_id";
							$db->sql_query($sql);
						}
						$count_extra_updates++;
					}
					else
					{
						// extra bet unset
						$sql_ary = array(
							'bet'	=> '',
						);
						$sql = 'UPDATE ' . FOOTB_EXTRA_BETS . '
							SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
							WHERE season = $season AND league = $league AND extra_no = $extra_no AND user_id = $user_id";
						$db->sql_query($sql);
					}
				}
			}
			if ($count_extra_updates)
			{
				$dbmsg = $dbmsg . ' ' . sprintf($user->lang['EXTRA_BET' . (($count_extra_updates == 1) ? '' : 'S') . '_SAVED'], $count_extra_updates);
			}
			gadget_matchday($season, $league, $matchday);
		}
	break;
	case 'results':
		// Save results
		$user_id = $user->data['user_id'];
		$sqlmatches = 'SELECT * FROM ' . FOOTB_MATCHES . " WHERE season = $season AND league = $league AND matchday = $matchday";
		$resultmatches = $db->sql_query($sqlmatches);
		$count_matches = 0;
		$count_clear = 0;
		$count_input = 0;
		$count_null = 0;
		while( $row = $db->sql_fetchrow($resultmatches))
		{
			$count_matches++;
			$match_no = $row['match_no'];
			$status = $row['status'];
			request_var('l', 0);
			$goalsh = request_var('goalsh' . $match_no, 'nv');
			$goalsg = request_var('goalsg' . $match_no, 'nv');
			$oldgoalsh = request_var('oldgoalsh' . $match_no, 'nv');
			$oldgoalsg = request_var('oldgoalsg' . $match_no, 'nv');
			if ($goalsh != 'nv' AND $goalsg != 'nv')
			{
				// Both variables exists
				// Read overtime goals
				$goals_ko_h = request_var('goals_ko_h' . $match_no, 'nv');
				$goals_ko_g = request_var('goals_ko_g' . $match_no, 'nv');
				$oldgoals_ko_h = request_var('oldgoals_ko_h' . $match_no, 'nv');
				$oldgoals_ko_g = request_var('oldgoals_ko_g' . $match_no, 'nv');
				if (($status <> 3) && ($status <> 6))
				{
					if(($goalsh != '') AND ($goalsg != ''))
					{
						// Goals set
						// Set new match status
						if ($status < 3)
							$status = 2;
						else
							$status = 5;
						if (is_numeric($goalsh) AND is_numeric($goalsg) AND $goalsh >= 0 AND $goalsg >= 0)
						{
							// Values
							if(!is_numeric($goals_ko_h) OR !is_numeric($goals_ko_g) OR $goals_ko_h < 0 OR $goals_ko_g < 0)
							{
								// No overtime goals
								if (($goalsh <> $oldgoalsh) OR ($goalsg <> $oldgoalsg))
								{
									// Goals changed
									$sql_ary = array(
										'goals_home'			=> (int) $goalsh,
										'goals_guest'			=> (int) $goalsg,
										'goals_overtime_home'	=> '',
										'goals_overtime_guest'	=> '',
										'status'				=> $status,
									);
									$sql = 'UPDATE ' . FOOTB_MATCHES . '
										SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
										WHERE season = $season AND league = $league AND match_no = $match_no";
									$db->sql_query($sql);
									$count_input++;
								}
							}
							else
							{
								// With overtime goals
								if (($goalsh <> $oldgoalsh) OR ($goalsg <> $oldgoalsg) OR ($goals_ko_h <> $oldgoals_ko_h) OR ($goals_ko_g <> $oldgoals_ko_g))
								{
									// Goals or overtime goals changed
									$sql_ary = array(
										'goals_home'			=> (int) $goalsh,
										'goals_guest'			=> (int) $goalsg,
										'goals_overtime_home'	=> (int) $goals_ko_h,
										'goals_overtime_guest'	=> (int) $goals_ko_g,
										'status'				=> $status,
									);
									$sql = 'UPDATE ' . FOOTB_MATCHES . '
										SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
										WHERE season = $season AND league = $league AND match_no = $match_no";
									$db->sql_query($sql);
									$count_input++;
								}
							}
						}
					}
					else
					{
						// Goals unset
						// Set new match status
						if ($status < 3)
						{
							$status = 1;
						}
						else
						{
							$status = 4;
						}
						if (($goalsh <> $oldgoalsh) OR ($goalsg <> $oldgoalsg) OR ($goals_ko_h <> $oldgoals_ko_h) OR ($goals_ko_g <> $oldgoals_ko_g))
						{
							// Goals or overtime goals unset
							$sql_ary = array(
								'goals_home'			=> '',
								'goals_guest'			=> '',
								'goals_overtime_home'	=> '',
								'goals_overtime_guest'	=> '',
								'status'				=> $status,
							);
							$sql = 'UPDATE ' . FOOTB_MATCHES . '
								SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
								WHERE season = $season AND league = $league AND match_no = $match_no";
							$db->sql_query($sql);
							$count_clear++;
						}
						$count_null++;
					}
				}
			}
		}
		$db->sql_freeresult($resultmatches);
		switch($count_input)
		{
			case '0':
				{
					$dbmsg = sprintf($user->lang['NO_RESULT_SAVE']);
				}
				break;
			case '1':
				{
					$dbmsg = sprintf($user->lang['RESULT_SAVE'], $count_input);
				}
				break;
			default:
				{
					$dbmsg = sprintf($user->lang['RESULTS_SAVE'], $count_input);
				}
				break;
		}
		switch($count_clear)
		{
			case '0':
				{
				}
				break;
			case '1':
				{
					$dbmsg .= sprintf($user->lang['RESULT_CLEARED'], $count_clear);
				}
				break;
			default:
				{
					$dbmsg .= sprintf($user->lang['RESULTS_CLEARED'], $count_clear);
				}
				break;
		}

		$sqlopen = 'SELECT * FROM ' . FOOTB_MATCHES . " WHERE season = $season AND league = $league AND matchday = $matchday AND status = 0";
		$resultopen = $db->sql_query($sqlopen);
		$row = $db->sql_fetchrowset($resultopen);
		$db->sql_freeresult($resultopen);
		if (sizeof($row) == 0)
		{
			// No open matches, so we could set matchday status
			if ($count_null == $count_matches)
			{
				$sql_ary = array(
					'status'		=> 1,
				);
				$sql = 'UPDATE ' . FOOTB_MATCHDAYS . '
					SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
					WHERE season = $season AND league = $league AND matchday = $matchday AND status < 3";
				$db->sql_query($sql);
			}
			else
			{
				$sql_ary = array(
					'status'		=> 2,
				);
				$sql = 'UPDATE ' . FOOTB_MATCHDAYS . '
					SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
					WHERE season = $season AND league = $league AND matchday = $matchday AND delivery_date_2 = '' AND status < 3";
				$db->sql_query($sql);
			}
		}

		// extra bets
		$sql = 'SELECT * FROM ' . FOOTB_EXTRA . " WHERE season = $season AND league = $league AND matchday_eval = $matchday AND extra_status > 0";
		$resultextra = $db->sql_query($sql);
		$count_extra_updates = 0;
		while( $row = $db->sql_fetchrow($resultextra))
		{
			$extra_no = $row['extra_no'];
			$extra_results = request_var('extra' . $extra_no, array('nv'));
			$extra_result = '';
			if (sizeof($extra_results) > 0)
			{
				foreach ($extra_results as $extra_selected_value)
				{
					$extra_result = ($extra_result == '') ? $extra_selected_value : $extra_result . ';' . $extra_selected_value;
				}
			}
			else
			{
				$extra_result = request_var('extra' . $extra_no, 'nv');
			}
			if ($extra_result != 'nv')
			{
				if ($row['question_type'] == 5 && !is_numeric($extra_result))
				{
					$extra_result = '';
				}
				if ($extra_result != '') 
				{
					$sql = 'SELECT * FROM ' . FOOTB_EXTRA . " WHERE season = $season AND league = $league AND extra_no = $extra_no";
					$result = $db->sql_query($sql);
					$row2 = $db->sql_fetchrow($result);
					$db->sql_freeresult($result);
					if($row2)
					{
						$sql_ary = array(
							'result'		=> $extra_result,
							'extra_status'	=> 2,
						);
						$sql = 'UPDATE ' . FOOTB_EXTRA . '
							SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
							WHERE season = $season AND league = $league AND extra_no = $extra_no";
						$db->sql_query($sql);
						$count_extra_updates++;
					}
				}
				else
				{
					// extra result unset
					$sql_ary = array(
						'result'		=> '',
						'extra_status'	=> 1,
					);
					$sql = 'UPDATE ' . FOOTB_EXTRA . '
						SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
						WHERE season = $season AND league = $league AND extra_no = $extra_no";
					$db->sql_query($sql);
				}
			}
		}
		if ($count_extra_updates)
		{
			$dbmsg = $dbmsg . ' ' . sprintf($user->lang['EXTRA_RESULT' . (($count_extra_updates == 1) ? '' : 'S') . '_SAVED'], $count_extra_updates);
		}
		calculate_extra_points($season, $league, $matchday);
		save_ranking_matchday($season, $league, $matchday);
		gadget_matchday($season, $league, $matchday);
	break;
	case 'join':
		join_league($season, $league, $user->data['user_id']);
	break;
	default:
	break;
}

// End execute the action
//*****************************************************************************

// Start select season
$season_name = '';
$sql = 'SELECT DISTINCT s.season, s.season_name, s.season_name_short FROM ' . FOOTB_SEASONS . ' AS s
		INNER JOIN ' . FOOTB_LEAGUES . ' AS l ON (l.season = s.season)
		INNER JOIN ' . FOOTB_MATCHDAYS . ' AS sp ON (sp.season = s.season AND sp.league = l.league)
		WHERE 1
		ORDER BY season DESC';
$result = $db->sql_query($sql);
while( $row = $db->sql_fetchrow($result))
{
	$selected = ($season && $row['season'] == $season) ? ' selected="selected"' : '';
	if ($selected)
	{
		$season_name = htmlspecialchars($row['season_name_short']);
	}
	$template->assign_block_vars('form_season', array(
		'S_SEASON' 		=> htmlspecialchars($row['season']),
		'S_SEASONNAME' 	=> htmlspecialchars($row['season_name_short']),
		'S_SELECTED' 	=> $selected));
}
$db->sql_freeresult($result);

// End select season

//*****************************************************************************

// Start select league
if ($side == 'bank')
{
	$template->assign_block_vars('form_league', array(
		'S_LEAGUE' 		=> 0,
		'S_LEAGUENAME' 	=> sprintf($user->lang['ALL_LEAGUES']),
		'S_SELECTED' 	=> $league == 0 ? ' selected="selected"' : ''
		)
	);
}

$league_name = '';
$sql = 'SELECT * FROM ' . FOOTB_LEAGUES . " WHERE season = $season AND league_type >= 1";
$result = $db->sql_query($sql);
while( $row = $db->sql_fetchrow($result))
{
	$selected = ($league && $row['league'] == $league) ? ' selected="selected"' : '';
	if ($selected)
	{
		$league_name = $row['league_name'];
	}
	$template->assign_block_vars('form_league', array(
		'S_LEAGUE' 		=> $row['league'],
		'S_LEAGUENAME' 	=> $row['league_name'],
		'S_SELECTED' 	=> $selected
		)
	);
}
$db->sql_freeresult($result);

// End select League

//*****************************************************************************
// For nav_delivery
$prev_deadline = '';
$prev_link = '';
$prev_class = '';
$next_deadline = '';
$next_link = '';
$next_class = '';
$current_matchday = '';

// Start select matchday
$matchdayname = '';
$matchday_name = '';
$status = 0;
$sql = 'SELECT * FROM ' . FOOTB_LEAGUES . " WHERE season = $season AND league = $league";
$result = $db->sql_query($sql);
if( $row = $db->sql_fetchrow($result))
{
	$count_matchdays = $row['matchdays'];
	$league_type = $row['league_type'];
	$db->sql_freeresult($result);
	$lang_dates = $user->lang['datetime'];
	$local_board_time = time() + (($config['board_timezone'] - $config['football_host_timezone']) * 3600); 
	$sql = "SELECT *,
			CONCAT(
				CASE DATE_FORMAT(delivery_date,'%w')
					WHEN 0 THEN '" . $lang_dates['Sun'] . "'
					WHEN 1 THEN '" . $lang_dates['Mon'] . "'
					WHEN 2 THEN '" . $lang_dates['Tue'] . "'
					WHEN 3 THEN '" . $lang_dates['Wed'] . "'
					WHEN 4 THEN '" . $lang_dates['Thu'] . "'
					WHEN 5 THEN '" . $lang_dates['Fri'] . "'
					WHEN 6 THEN '" . $lang_dates['Sat'] . "'
					ELSE 'Error' END,
				DATE_FORMAT(delivery_date,' %d.%m.%y %H:%i')
			) as deliverytime,
			IF(delivery_date < FROM_UNIXTIME('$local_board_time'),'pastlink','futurelink') AS linkclass
			FROM " . FOOTB_MATCHDAYS . " WHERE season = $season AND league = $league AND matchday <= $count_matchdays
			ORDER BY matchday ASC";
	$result = $db->sql_query($sql);
	$status = 3;
	while ($row = $db->sql_fetchrow($result))
	{
		if ($league_type == 1 and $row['matchday_name'] == '')
		{
			$matchdayname = $row['matchday'] . '.' . sprintf($user->lang['MATCHDAY']);
		}
		else
		{
			$matchdayname = $row['matchday_name'];
		}
		if ($matchdayname == '')
		{
			$matchdayname = $row['matchday'] . '.' . sprintf($user->lang['MATCHDAY']);
		}
		
		$selected = ($matchday && $row['matchday'] == $matchday) ? ' selected="selected"' : '';
		if ($selected)
		{
			$matchday_name = $matchdayname;
			$status = $row['status'];
		}
		
		if (($matchday - 1) == $row['matchday'])
		{
			$prev_deadline = $row['deliverytime'];
			$prev_link = append_sid("football.$phpEx?side=$side&amp;s=$season&amp;l=$league&amp;m=" . $row['matchday'] . $link_user . $link_google);
			$prev_class = $row['linkclass'];
		}

		if (($matchday + 1) == $row['matchday'])
		{
			$next_deadline = $row['deliverytime'];
			$next_link = append_sid("football.$phpEx?side=$side&amp;s=$season&amp;l=$league&amp;m=" . $row['matchday'] . $link_user . $link_google);
			$next_class = $row['linkclass'];
		}
		

		if ($curr_matchday == $row['matchday'])
		{
			$current = '(' . sprintf($user->lang['CURR']) . ')';
		}
		else
		{
			$current = '';
		}

		$template->assign_block_vars('form_matchday', array(
			'S_MATCHDAY' => $row['matchday'],
			'S_MATCHDAYNAME' => $matchdayname,
			'S_SELECTED' => $selected,
			'S_CURRENT' => $current));
	}
	$db->sql_freeresult($result);
}
// End select matchday

//*****************************************************************************

// Start matchday list
	include($phpbb_root_path . 'football/block/rank_matchday.' . $phpEx);
// End matchday list

//*****************************************************************************

// Start total list
	include($phpbb_root_path . 'football/block/rank_total.' . $phpEx);
// End total list

//*****************************************************************************

// Start delivery list
	include($phpbb_root_path . 'football/block/delivery.' . $phpEx);
// End delivery list

//*****************************************************************************

// Start assign vars
$sql_ary = array(
	'session_season'	=> (int) $season,
	'session_league'	=> (int) $league,
	'session_matchday'	=> (int) $matchday,
);

$sql = 'UPDATE ' . SESSIONS_TABLE . ' SET ' . $db->sql_build_array('UPDATE', $sql_ary) . "
	WHERE session_id = '" . $db->sql_escape($user->session_id) . "'";
$result = $db->sql_query($sql);

$u_footb_parm = "s=$season&amp;l=$league&amp;m=$matchday&amp;";
$u_footb_sl = "s=$season&amp;l=$league";
$start = request_var('start', 0);
$print_start = ($start) ? "start=$start&amp;" : '';

$template->assign_vars(array(
	'U_BET' 			=> append_sid("football.$phpEx", $u_footb_parm . 'side=bet'),
	'U_ALL_BETS' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=all_bets'),
	'U_RESULTS' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=results'),
	'U_RANKS_TOTAL' 	=> append_sid("football.$phpEx", $u_footb_parm . 'side=ranks_total'),
	'U_RANKS_MATCHDAY' 	=> append_sid("football.$phpEx", $u_footb_parm . 'side=ranks_matchday'),
	'U_TABLE' 			=> append_sid("football.$phpEx", $u_footb_parm . 'side=table'),
	'U_FOOTBALL_BANK' 	=> append_sid("football.$phpEx", $u_footb_parm . 'side=bank'),
	'U_RULES' 			=> append_sid($phpbb_root_path . "football/block/rules_popup.$phpEx", $u_footb_sl),
	'U_FOOTBALL' 		=> append_sid("football.$phpEx"),
	'U_EXPORT' 			=> append_sid($phpbb_root_path . "football/block/dload_export.$phpEx", $u_footb_sl),
	'U_MY_BETS' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=my_bets'),
	'U_MY_POINTS' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=my_points'),
	'U_MY_TABLE' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=my_table'),
	'U_MY_RANK' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=my_rank'),
	'U_MY_CHART' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=my_chart'),
	'U_MY_KOEFF' 		=> append_sid("football.$phpEx", $u_footb_parm . 'side=my_koeff'),
	'U_STAT_RESULTS' 	=> append_sid("football.$phpEx", $u_footb_parm . 'side=stat_results'),
	'U_STAT_POINTS' 	=> append_sid("football.$phpEx", $u_footb_parm . 'side=stat_points'),
	'U_PRINT_FOOTBALL'	=> append_sid("football.$phpEx", $u_footb_parm . "side=$side&amp;view=print"),
	'U_SIDE_LINK'		=> append_sid("football.$phpEx", $u_footb_parm . "side=$side"),
	'L_TOP_RANKSP' 		=> sprintf($user->lang['RANKING']) . ' ' . $matchday . '. ' . sprintf($user->lang['MATCHDAY']),
	'L_TOP_RANKGESAMT' 	=> sprintf($user->lang['TOTAL_RANKING']) . ' ' . $matchday . '. ' . sprintf($user->lang['MATCHDAY']),
	'PHPBB_ROOT_PATH'	=> $phpbb_root_path,
	'S_FOOTBALL_INFO'	=> $football_info,
	'S_FOOTBALL_BANK'	=> $config['football_bank'],
	'S_FOOTBALL_COPY' 	=> sprintf($user->lang['FOOTBALL_COPY'], $config['football_version'], $phpbb_root_path . 'football/'),
	'S_VIEW' 			=> $view,
	'S_SIDE' 			=> $side,
	'S_SEASON' 			=> $season,
	'S_LEAGUE' 			=> $league,
	'S_MATCHDAY' 		=> $matchday,
	'S_GOOGLE' 			=> $google,
	'S_USER_SEL' 		=> $user_sel,
	'S_SEASON_NAME' 	=> $season_name,
	'S_LEAGUE_NAME' 	=> $league_name,
	'S_MATCHDAY_NAME' 	=> $matchday_name,
	'S_FORMSELF' 		=> append_sid("football.$phpEx$sidepar"),
	'S_DELIVERY' 		=> delivery($season, $league, $matchday),
	// For nav_delivery
	'S_PREV_LINK' 		=> $prev_link,
	'S_PREV_CLASS' 		=> $prev_class,
	'S_PREV_DEADLINE' 	=> $prev_deadline,
	'S_CURR_LINK' 		=> append_sid("football.$phpEx?side=$side&amp;s=$season&amp;l=$league" . $link_google),
	'S_CURR_MATCHDAY' 	=> $curr_matchday,
	'S_NEXT_LINK' 		=> $next_link,
	'S_NEXT_CLASS' 		=> $next_class,
	'S_NEXT_DEADLINE' 	=> $next_deadline,
	'S_DBMSG' 			=> $dbmsg,
	'FOOTBALL_LEFT_COLUMN' 	=> $config['football_left_column_width'],
	'FOOTBALL_RIGHT_COLUMN' => $config['football_right_column_width'],));
// End assign vars

//*****************************************************************************

if (!$matchday and $side <> 'bank')
{
	include($phpbb_root_path . 'football/block/under_construction.' . $phpEx);
}
elseif( $side == 'bet' )
{
	include($phpbb_root_path . 'football/block/bet.' . $phpEx);
}
elseif( $side == 'all_bets' )
{
	include($phpbb_root_path . 'football/block/all_bets.' . $phpEx);
}
elseif( $side == 'results' )
{
	include($phpbb_root_path . 'football/block/results.' . $phpEx);
}
elseif( $side == 'ranks_matchday' )
{
	include($phpbb_root_path . 'football/block/ranks_matchday.' . $phpEx);
}
elseif( $side == 'ranks_total' )
{
	include($phpbb_root_path . 'football/block/ranks_total.' . $phpEx);
}
elseif( $side == 'table' )
{
	include($phpbb_root_path . 'football/block/table.' . $phpEx);
}
elseif( $side == 'bank' )
{
	include($phpbb_root_path . 'football/block/bank.' . $phpEx);
}
elseif( $side == 'my_bets' )
{
	include($phpbb_root_path . 'football/block/my_bets.' . $phpEx);
}
elseif( $side == 'my_points' )
{
	include($phpbb_root_path . 'football/block/my_points.' . $phpEx);
}
elseif( $side == 'my_table' )
{
	include($phpbb_root_path . 'football/block/my_table.' . $phpEx);
}
elseif( $side == 'my_rank' )
{
	include($phpbb_root_path . 'football/block/my_rank.' . $phpEx);
}
elseif( $side == 'my_chart' )
{
	include($phpbb_root_path . 'football/block/my_chart.' . $phpEx);
}
elseif( $side == 'my_koeff' )
{
	include($phpbb_root_path . 'football/block/my_koeff.' . $phpEx);
}
elseif( $side == 'stat_results' )
{
	include($phpbb_root_path . 'football/block/stat_results.' . $phpEx);
}
elseif( $side == 'stat_points' )
{
	include($phpbb_root_path . 'football/block/stat_points.' . $phpEx);
}
else
{
	include($phpbb_root_path . 'football/block/bet.' . $phpEx);
}

// Output page
page_header($sidename);

if ($google )
{
	$template->set_filenames(array(
		'body' => 'football/football_google.html'
	));
}
else
{
	$template->set_filenames(array(
		'body' => ($view == 'print') ? 'football/football_print.html' : 'football/football_body.html'
	));
}
page_footer();

?>