<?php
/**
*
* @package phpBB3 Football
* @version $Id: dload_export.php 12 2011-03-13 08:03:31Z football $
* @copyright (c) 2010 football (http://football.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
define('IN_PHPBB', true);
define('IN_FOOTBALL', true);

$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './../../';

$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'football/includes/functions.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
if ($config['football_override_style'])
{
	$user->data['user_style'] = $config['football_style'];
	$user->setup('mods/lang_football', $config['football_style']);
}
else
{
	$user->setup('mods/lang_football');
}

// Only registered users can go beyond this point
if (!$user->data['is_registered'])
{
	if ($user->data['is_bot'])
	{
		redirect(append_sid("{$phpbb_root_path}index.$phpEx"));
	}
	login_box('', $user->lang['LOGIN_EXPLAIN_EXPORT']);
}

$season	= request_var('s', 0);
$league	= request_var('l', 0);
$action='';

if (!$season OR !$league)
{
	redirect(append_sid("{$phpbb_root_path}football.$phpEx"));
}
else
{
	if (user_is_member($user->data['user_id'], $season, $league))
	{
		$season_info = season_info($season);
		if (!sizeof($season_info))
		{
			$error_message = sprintf($user->lang['NO_SEASON']);
			trigger_error($error_message);
		}
		else
		{
			$league_info = league_info($season, $league);
			if (!sizeof($league_info))
			{
				$error_message = sprintf($user->lang['NO_LEAGUE']);
				trigger_error($error_message);
			}
			else
			{
				include($phpbb_root_path . 'football/includes/export.' . $phpEx);
			}
		}
	}
	else
	{
		redirect(append_sid("{$phpbb_root_path}football.$phpEx"));
	}
}

?>
