<?php
/**
*
* @package phpBB3 Football
* @version $Id: table.php 12 2011-03-13 08:03:31Z football $
* @copyright (c) 2010 football (http://football.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if ( !defined('IN_PHPBB') OR !defined('IN_FOOTBALL') )
{
	exit;
}

$data_table = false;
$data_form = false;

if ($matchday > 5)
{
	$form_from = $matchday - 5;
}
else
{
	$form_from = 1;
}

$sql = 'SELECT *
	FROM ' . FOOTB_LEAGUES . " 
	WHERE season = $season 
		AND league = $league";
$result = $db->sql_query($sql);
$row = $db->sql_fetchrow($result);
$league_type = $row['league_type'];
$db->sql_freeresult($result);

$text_form = sprintf($user->lang['TABLE_FORM_FROM'], $form_from);

$rank = 0;
// Get table-information
$sql = 'SELECT
		t.*,
		SUM(1) AS matches,
		SUM(IF((m.team_id_home = t.team_id), IF(goals_home + 0 > goals_guest, 1, 0), IF(goals_home + 0 < goals_guest, 1, 0))) AS win,
		SUM(IF(goals_home = goals_guest, 1, 0)) AS draw,
		SUM(IF((m.team_id_home = t.team_id), IF(goals_home + 0 < goals_guest, 1, 0), IF(goals_home + 0 > goals_guest, 1, 0))) AS lost,
		SUM(IF(m.team_id_home = t.team_id, 
				IF(goals_home + 0 > goals_guest, 3, IF(goals_home = goals_guest, 1, 0)), 
				IF(goals_home + 0 < goals_guest, 3, IF(goals_home = goals_guest, 1, 0))
			)
		) AS points,
		SUM(IF(m.team_id_home = t.team_id, goals_home - goals_guest , goals_guest - goals_home)) AS goals_diff,
		SUM(IF(m.team_id_home = t.team_id, goals_home , goals_guest)) AS goals,
		SUM(IF(m.team_id_home = t.team_id, goals_guest , goals_home)) AS goals_against
	FROM ' . FOOTB_TEAMS . ' AS t
	LEFT JOIN ' . FOOTB_MATCHES . " AS m ON (m.season = t.season AND m.league = t.league 
											AND (m.team_id_home = t.team_id OR m.team_id_guest = t.team_id) AND m.group_id = t.group_id)
	WHERE t.season = $season 
		AND t.league = $league 
		AND m.matchday <= $matchday 
		AND m.status IN (2, 3,5,6)
	GROUP BY t.team_id
	ORDER BY t.group_id ASC, points DESC, goals_diff DESC, goals DESC, t.team_name ASC";
$result = $db->sql_query($sql);
$last_group = '';
$current_rank = 0;
$last_goals = 0;
$last_goals_againts = 0;
$last_points = 0;
while( $row = $db->sql_fetchrow($result))
{
	if ($last_group != $row['group_id'])
	{
		$last_group = $row['group_id'];
		$rank = 0;
		$last_goals = 0;
		$last_goals_againts = 0;
		$last_points = 0;
		$template->assign_block_vars('total', array(
			'GROUP' => sprintf($user->lang['GROUP']) . ' ' . $row['group_id'],
			)
		);
	}
	if ($league_type != 2 OR $row['group_id'] != '')
	{
		$data_table = true;
		$rank++;
		if ($last_points <> $row['points'] OR $last_goals <> $row['goals'] OR $last_goals_againts <> $row['goals_against'])
		{
			$current_rank = $rank . '.';
		}
		else
		{
			$current_rank = '';
		}
		$last_points = $row['points'];
		$last_goals = $row['goals'];
		$last_goals_againts = $row['goals_against'];
		$row_class = (!($rank % 2)) ? 'bg1 row_light' : 'bg2 row_dark';
		if ($row['team_symbol'] <> '')
		{
			$logo = "<img src=\"" . $phpbb_root_path . 'football/images/flags/' . $row['team_symbol'] . "\" alt=\"" . $row['team_symbol'] . "\" width=\"28\" height=\"28\"/>" ;
		}
		else
		{
			$logo = "<img src=\"" . $phpbb_root_path . "football/images/flags/blank.gif\" alt=\"\" width=\"28\" height=\"28\"/>" ;
		}
		  
		$template->assign_block_vars('total', array(
			'RANK' 			=> $current_rank,
			'ROW_CLASS' 	=> $row_class,
			'LOGO' 			=> $logo,
			'TEAM_ID' 		=> $row['team_id'],
			'TEAM' 			=> $row['team_name'],
			'GAMES' 		=> $row['matches'],
			'WIN' 			=> $row['win'],
			'DRAW' 			=> $row['draw'],
			'LOST' 			=> $row['lost'],
			'GOALS' 		=> $row['goals'],
			'GOALS_AGAINST' => $row['goals_against'],
			'GOALS_DIFF' 	=> $row['goals_diff'],
			'POINTS' 		=> $row['points'],
			)
		);
	}
}
$db->sql_freeresult($result);
// On google-gadget display only one table
if (!$google)
{
	$rank = 0;
	// Get form-table-information
	$sql = 'SELECT
			t.*,
			SUM(1) AS matches,
			SUM(IF((m.team_id_home = t.team_id), IF(goals_home + 0 > goals_guest, 1, 0), IF(goals_home + 0 < goals_guest, 1, 0))) AS win,
			SUM(IF(goals_home = goals_guest, 1, 0)) AS draw,
			SUM(IF((m.team_id_home = t.team_id), IF(goals_home + 0 < goals_guest, 1, 0), IF(goals_home + 0 > goals_guest, 1, 0))) AS lost,
			SUM(IF(m.team_id_home = t.team_id, 
					IF(goals_home + 0 > goals_guest, 3, IF(goals_home = goals_guest, 1, 0)), 
					IF(goals_home + 0 < goals_guest, 3, IF(goals_home = goals_guest, 1, 0))
				)
			) AS points,
			SUM(IF(m.team_id_home = t.team_id, goals_home - goals_guest , goals_guest - goals_home)) AS goals_diff,
			SUM(IF(m.team_id_home = t.team_id, goals_home, goals_guest)) AS goals,
			SUM(IF(m.team_id_home = t.team_id, goals_guest, goals_home)) AS goals_against
		FROM ' . FOOTB_TEAMS . ' AS t
		LEFT JOIN ' . FOOTB_MATCHES . " AS m ON (m.season = t.season AND m.league = t.league 
												AND (m.team_id_home = t.team_id OR m.team_id_guest = t.team_id) AND m.group_id = t.group_id)
		WHERE t.season = $season 
			AND t.league = $league 
			AND m.matchday >= $form_from 
			AND m.status IN (2, 3,5,6)
		GROUP BY t.team_id
		ORDER BY t.group_id ASC, points DESC, goals_diff DESC, goals DESC, t.team_name ASC";
	$result = $db->sql_query($sql);
	$last_group = '';
	$current_rank = 0;
	$last_goals = 0;
	$last_goals_againts = 0;
	$last_points = 0;
	while( $row = $db->sql_fetchrow($result))
	{
		if ($last_group != $row['group_id'])
		{
			$last_group = $row['group_id'];
			$rank = 0;
			$last_goals = 0;
			$last_goals_againts = 0;
			$last_points = 0;
			$template->assign_block_vars('form', array(
				'GROUP' => sprintf($user->lang['GROUP']) . ' ' . $row['group_id'],
				)
			);
		}
		if ($league_type != 2 OR $row['group_id'] != '')
		{
			$data_form = true;
			$rank++;
			if ($last_points <> $row['points'] OR $last_goals <> $row['goals'] OR $last_goals_againts <> $row['goals_against'])
			{
				$current_rank = $rank . '.';
			}
			else
			{
				$current_rank = '';
			}
			$last_points = $row['points'];
			$last_goals = $row['goals'];
			$last_goals_againts = $row['goals_against'];
			$row_class = (!($rank % 2)) ? 'bg1 row_light' : 'bg2 row_dark';
			if ($row['team_symbol'] <> '')
			{
				$logo = "<img src=\"" . $phpbb_root_path . 'football/images/flags/' . $row['team_symbol'] . "\" alt=\"" . $row['team_symbol'] . "\" width=\"28\" height=\"28\"/>" ;
			}
			else
			{
				$logo = "<img src=\"" . $phpbb_root_path . "football/images/flags/blank.gif\" alt=\"\" width=\"28\" height=\"28\"/>" ;
			}

			$template->assign_block_vars('form', array(
				'RANK' 			=> $current_rank,
				'ROW_CLASS' 	=> $row_class,
				'LOGO' 			=> $logo,
				'TEAM_ID' 		=> $row['team_id'],
				'TEAM' 			=> $row['team_name'],
				'GAMES' 		=> $row['matches'],
				'WIN' 			=> $row['win'],
				'DRAW' 			=> $row['draw'],
				'LOST' 			=> $row['lost'],
				'GOALS' 		=> $row['goals'],
				'GOALS_AGAINST' => $row['goals_against'],
				'GOALS_DIFF' 	=> $row['goals_diff'],
				'POINTS' 		=> $row['points'],
				)
			);
		}
	}
	$db->sql_freeresult($result);
	$rank = 0;
	// Get home-table-information
	$sql = 'SELECT
			t.*,
			SUM(1) AS matches,
			SUM(IF(goals_home + 0 > goals_guest, 1, 0)) AS win,
			SUM(IF(goals_home = goals_guest, 1, 0)) AS draw,
			SUM(IF(goals_home + 0 < goals_guest, 1, 0)) AS lost,
			SUM(IF(goals_home + 0 > goals_guest, 3, IF(goals_home = goals_guest, 1, 0))) AS points,
			SUM(goals_home - goals_guest) AS goals_diff,
			SUM(goals_home) AS goals,
			SUM(goals_guest) AS goals_against
		FROM ' . FOOTB_TEAMS . ' AS t
		LEFT JOIN ' . FOOTB_MATCHES . " AS m ON (m.season = t.season AND m.league = t.league 
												AND m.team_id_home = t.team_id AND m.group_id = t.group_id)
		WHERE t.season = $season 
			AND t.league = $league 
			AND m.matchday <= $matchday 
			AND m.status IN (2, 3,5,6)
		GROUP BY t.team_id
		ORDER BY t.group_id ASC, points DESC, goals_diff DESC, goals DESC, t.team_name ASC";
	$result = $db->sql_query($sql);
	$last_group = '';
	$current_rank = 0;
	$last_goals = 0;
	$last_goals_againts = 0;
	$last_points = 0;
	while( $row = $db->sql_fetchrow($result))
	{
		if ($last_group != $row['group_id'])
		{
			$last_group = $row['group_id'];
			$rank = 0;
			$last_goals = 0;
			$last_goals_againts = 0;
			$last_points = 0;
			$template->assign_block_vars('home', array(
				'GROUP' => sprintf($user->lang['GROUP']) . ' ' . $row['group_id'],
				)
			);
		}
		if ($league_type != 2 OR $row['group_id'] != '')
		{
			$rank++;
			if ($last_points <> $row['points'] OR $last_goals <> $row['goals'] OR $last_goals_againts <> $row['goals_against'])
			{
				$current_rank = $rank . '.';
			}
			else
			{
				$current_rank = '';
			}
			$last_points = $row['points'];
			$last_goals = $row['goals'];
			$last_goals_againts = $row['goals_against'];
			$row_class = (!($rank % 2)) ? 'bg1 row_light' : 'bg2 row_dark';
			if ($row['team_symbol'] <> '')
			{
				$logo = "<img src=\"" . $phpbb_root_path . 'football/images/flags/' . $row['team_symbol'] . "\" alt=\"" . $row['team_symbol'] . "\" width=\"28\" height=\"28\"/>" ;
			}
			else
			{
				$logo = "<img src=\"" . $phpbb_root_path . "football/images/flags/blank.gif\" alt=\"\" width=\"28\" height=\"28\"/>" ;
			}

			$template->assign_block_vars('home', array(
				'RANK' 			=> $current_rank,
				'ROW_CLASS' 	=> $row_class,
				'LOGO' 			=> $logo,
				'TEAM_ID' 		=> $row['team_id'],
				'TEAM' 			=> $row['team_name'],
				'GAMES' 		=> $row['matches'],
				'WIN' 			=> $row['win'],
				'DRAW' 			=> $row['draw'],
				'LOST' 			=> $row['lost'],
				'GOALS' 		=> $row['goals'],
				'GOALS_AGAINST' => $row['goals_against'],
				'GOALS_DIFF' 	=> $row['goals_diff'],
				'POINTS' 		=> $row['points'],
				)
			);
		}
	}
	$db->sql_freeresult($result);
	$rank = 0;
	// Get away-table-information
	$sql = 'SELECT
			t.*,
			SUM(1) AS matches,
			SUM(IF(goals_home + 0 < goals_guest, 1, 0)) AS win,
			SUM(IF(goals_home = goals_guest, 1, 0)) AS draw,
			SUM(IF(goals_home + 0 > goals_guest, 1, 0)) AS lost,
			SUM(IF(goals_home + 0 < goals_guest, 3, IF(goals_home = goals_guest, 1, 0))) AS points,
			SUM(goals_guest - goals_home) AS goals_diff,
			SUM(goals_guest) AS goals,
			SUM(goals_home) AS goals_against
		FROM ' . FOOTB_TEAMS . ' AS t
		LEFT JOIN ' . FOOTB_MATCHES . " AS m ON (m.season = t.season AND m.league = t.league 
												AND m.team_id_guest = t.team_id AND m.group_id = t.group_id)
		WHERE t.season = $season 
			AND t.league = $league 
			AND m.matchday <= $matchday 
			AND m.status IN (2, 3,5,6)
		GROUP BY t.team_id
		ORDER BY t.group_id ASC, points DESC, goals_diff DESC, goals DESC, t.team_name ASC";
	$result = $db->sql_query($sql);
	$last_group = '';
	$current_rank = 0;
	$last_goals = 0;
	$last_goals_againts = 0;
	$last_points = 0;
	while( $row = $db->sql_fetchrow($result))
	{
		if ($last_group != $row['group_id'])
		{
			$last_group = $row['group_id'];
			$rank = 0;
			$last_goals = 0;
			$last_goals_againts = 0;
			$last_points = 0;
			$template->assign_block_vars('away', array(
				'GROUP' => sprintf($user->lang['GROUP']) . ' ' . $row['group_id'],
				)
			);
		}
		if ($league_type != 2 OR $row['group_id'] != '')
		{
			$rank++;
			if ($last_points <> $row['points'] OR $last_goals <> $row['goals'] OR $last_goals_againts <> $row['goals_against'])
			{
				$current_rank = $rank . '.';
			}
			else
			{
				$current_rank = '';
			}
			$last_points = $row['points'];
			$last_goals = $row['goals'];
			$last_goals_againts = $row['goals_against'];
			$row_class = (!($rank % 2)) ? 'bg1 row_light' : 'bg2 row_dark';
			if ($row['team_symbol'] <> '')
			{
				$logo = "<img src=\"" . $phpbb_root_path . 'football/images/flags/' . $row['team_symbol'] . "\" alt=\"" . $row['team_symbol'] . "\" width=\"28\" height=\"28\"/>" ;
			}
			else
			{
				$logo = "<img src=\"" . $phpbb_root_path . "football/images/flags/blank.gif\" alt=\"\" width=\"28\" height=\"28\"/>" ;
			}

			$template->assign_block_vars('away', array(
				'RANK' 			=> $current_rank,
				'ROW_CLASS' 	=> $row_class,
				'LOGO' 			=> $logo,
				'TEAM_ID' 		=> $row['team_id'],
				'TEAM' 			=> $row['team_name'],
				'GAMES' 		=> $row['matches'],
				'WIN' 			=> $row['win'],
				'DRAW' 			=> $row['draw'],
				'LOST' 			=> $row['lost'],
				'GOALS' 		=> $row['goals'],
				'GOALS_AGAINST' => $row['goals_against'],
				'GOALS_DIFF' 	=> $row['goals_diff'],
				'POINTS' 		=> $row['points'],
				)
			);
		}
	}
}
$db->sql_freeresult($result);
$sidename = sprintf($user->lang['TABLE']);
$template->assign_vars(array(
	'S_DISPLAY_TABLE' 			=> true,
	'S_SIDENAME' 				=> $sidename,
	'U_LEFT' 					=> append_sid("football.$phpEx", $u_footb_parm . 'side=results'),
	'LEFT_LINK' 				=> '&lt; ' . sprintf($user->lang['RESULTS']),
	'U_RIGHT' 					=> append_sid("football.$phpEx", $u_footb_parm . 'side=ranks_matchday'),
	'RIGHT_LINK' 				=> sprintf($user->lang['RANK_MATCHDAY']) . ' &gt;',
	'LEFT_TITLE' 				=> sprintf($user->lang['TITLE_RESULTS']),
	'RIGHT_TITLE' 				=> sprintf($user->lang['TITLE_RANK_MATCHDAY']),
	'S_DATA_TABLE' 				=> $data_table,
	'S_DATA_FORM' 				=> $data_form,
	'S_NO_GOOGLE' 				=> ($google == 1) ? false : true,
	'SEASON' 					=> $season,
	'LEAGUE' 					=> $league,
	'TEXT_FORM' 				=> $text_form,
	)
);
	
?>