<?php
/**
* 
* @package acp
* @version $Id: acp_football.php 12 2011-03-13 08:03:31Z football $ 
* @copyright (c) 2010 football (http://football.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_football
{
	var $u_action;
	var $new_config = array();

	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$user->add_lang('acp/board');

		$action	= request_var('action', '');
		$submit = (isset($_POST['submit']) || isset($_POST['football_google_access_delete'])) ? true : false;

		$form_key = 'acp_football';
		add_form_key($form_key);

		switch ($mode)
		{
			case 'userguide':
            	$this->page_title = 'ACP_FOOTBALL_USERGUIDE';
				$this->tpl_name = 'acp_football_userguide';

				$template->assign_vars(array(
					'S_IN_FOOTBALL_USERGUIDE'	=> true,
					'L_BACK_TO_TOP'				=> $user->lang['BACK_TO_TOP'],
					'ICON_BACK_TO_TOP'			=> '<img src="' . $phpbb_admin_path . 'images/icon_up.gif" style="vertical-align: middle;" alt="' . $user->lang['BACK_TO_TOP'] . '" title="' . $user->lang['BACK_TO_TOP'] . '" />',
				));

				$user->add_lang('mods/football', false, true);

				// Pull the array data from the lang pack
				foreach ($user->help as $help_ary)
				{
					if ($help_ary[0] == '--')
					{
						$template->assign_block_vars('userguide_block', array(
							'BLOCK_TITLE'		=> $help_ary[1])
						);

						continue;
					}

					$template->assign_block_vars('userguide_block.userguide_row', array(
						'USERGUIDE_QUESTION'		=> $help_ary[0],
						'USERGUIDE_ANSWER'			=> $help_ary[1])
					);
				}
				return;
			break;
			case 'settings':
				$display_vars = array(
					'title'	=> 'ACP_FOOTBALL_SETTINGS',
					'vars'	=> array(
						'legend1'				=> 'ACP_FOOTBALL_SETTINGS',
						'football_name'				=> array('lang' => 'FOOTBALL_NAME',		'validate' => 'string',	'type' => 'text:25:25', 'explain' => true),
						'football_disable'			=> array('lang' => 'DISABLE_FOOTBALL',	'validate' => 'bool',	'type' => 'custom', 'method' => 'football_disable', 'explain' => true),
						'football_disable_msg'		=> false,
						'football_guest_view'		=> array('lang' => 'GUEST_VIEW',		'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_host_timezone'	=> array('lang' => 'HOST_TIMEZONE',		'validate' => 'string',	'type' => 'select', 'function' => 'tz_select', 'params' => array('{CONFIG_VALUE}', 1), 'explain' => true),
						'football_info_display'		=> array('lang' => 'FOOTBALL_INFO',		'validate' => 'bool',	'type' => 'custom', 'method' => 'football_info', 'explain' => true),
						'football_info'				=> false,
						'football_win_name'			=> array('lang' => 'WIN_NAME',			'validate' => 'string',	'type' => 'text:6:6', 'explain' => true),
						'football_code'				=> array('lang' => 'FOOTBALL_CODE',		'validate' => 'string',	'type' => 'text:25:25', 'explain' => true),
						'football_style'			=> array('lang' => 'FOOTBALL_STYLE',	'validate' => 'int',	'type' => 'select', 'function' => 'style_select', 'params' => array('{CONFIG_VALUE}', false), 'explain' => false),
						'football_override_style'	=> array('lang' => 'FOOTBALL_OVERRIDE_STYLE',	'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_update_source'	=> array('lang' => 'FOOTBALL_UPDATE_SOURCE',	'validate' => 'string',	'type' => 'text:80:255', 'explain' => true),
						'football_update_code'		=> array('lang' => 'FOOTBALL_UPDATE_CODE',		'validate' => 'string',	'type' => 'text:25:255', 'explain' => true),

						'legend2'				=> 'GENERAL_SETTINGS',
						'football_side'					=> array('lang' => 'FOOTBALL_SIDE',	'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_left_column_width'	=> array('lang' => 'LEFT_COLUMN',	'validate' => 'int',	'type' => 'text:3:3', 'explain' => true),
						'football_right_column_width'	=> array('lang' => 'RIGHT_COLUMN',	'validate' => 'int',	'type' => 'text:3:3', 'explain' => true),
						'football_display_ranks'		=> array('lang' => 'DISPLAY_RANKS',	'validate' => 'int',	'type' => 'text:3:3', 'explain' => true),
						'football_users_per_page'		=> array('lang' => 'USERS_PAGE',	'validate' => 'int',	'type' => 'text:3:3', 'explain' => true),

						'legend3'				=> 'ACP_SUBMIT_CHANGES',
					)
				);
			break;

			case 'features':
				$display_vars = array(
					'title'	=> 'ACP_FOOTBALL_FEATURES',
					'vars'	=> array(
						'legend1'				=> 'ACP_FOOTBALL_FEATURES',
						'football_founder_delete'	=> array('lang' => 'FOUNDER_DELETE',	'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_results_at_time'	=> array('lang' => 'RESULTS_AT_TIME',	'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_win_hits02'		=> array('lang' => 'WIN_HITS02',		'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_same_allowed'		=> array('lang' => 'SAME_ALLOWED',		'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_view_current'		=> array('lang' => 'VIEW_CURRENT',		'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_view_bets'		=> array('lang' => 'VIEW_BETS',			'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_view_tendencies'	=> array('lang' => 'VIEW_TENDENCIES',	'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_bank'				=> array('lang' => 'BANK',				'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_ult_points'		=> array('lang' => 'ULT_POINTS',		'validate' => 'int',	'type' => 'custom', 'method' => 'select_up_method', 'explain' => true),
						'football_ult_points_factor'=> array('lang' => 'ULT_POINTS_FACTOR',	'validate' => 'dec:3:2','type' => 'text:4:10', 'explain' => true),
						'football_google_league'	=> array('lang' => 'GOOGLE_LEAGUE',		'validate' => 'bool',	'type' => 'radio:yes_no', 'explain' => true),
						'football_google_access'	=> array('lang' => 'GOOGLE_ACCESS',		'validate' => '',		'type' => 'custom', 'method' => 'google_access', 'explain' => true),

						'legend2'				=> 'ACP_SUBMIT_CHANGES',
					)
				);
			break;

			case 'menu':
				$display_vars = array(
					'title'	=> 'ACP_FOOTBALL_MENU',
					'vars'	=> array(
						'legend1'				=> 'ACP_FOOTBALL_MENU',

						'football_menu_forumid1'	=> array('lang' => 'MENU_ID1',		'validate' => 'int',	'type' => 'custom', 'method' => 'select_forums', 'explain' => false),
						'football_menu_forumdesc1'	=> array('lang' => 'MENU_DESC1',	'validate' => 'string',	'type' => 'text:20:20', 						 'explain' => false),
						'football_menu_forumid2'	=> array('lang' => 'MENU_ID2',		'validate' => 'int',	'type' => 'custom', 'method' => 'select_forums', 'explain' => false),
						'football_menu_forumdesc2'	=> array('lang' => 'MENU_DESC2',	'validate' => 'string',	'type' => 'text:20:20', 						 'explain' => false),
						'football_menu_forumid3'	=> array('lang' => 'MENU_ID3',		'validate' => 'int',	'type' => 'custom', 'method' => 'select_forums', 'explain' => false),
						'football_menu_forumdesc3'	=> array('lang' => 'MENU_DESC3',	'validate' => 'string',	'type' => 'text:20:20', 						 'explain' => false),
						'football_menu_forumid4'	=> array('lang' => 'MENU_ID4',		'validate' => 'int',	'type' => 'custom', 'method' => 'select_forums', 'explain' => false),
						'football_menu_forumdesc4'	=> array('lang' => 'MENU_DESC4',	'validate' => 'string',	'type' => 'text:20:20', 						 'explain' => false),
						'football_menu_forumid5'	=> array('lang' => 'MENU_ID5',		'validate' => 'int',	'type' => 'custom', 'method' => 'select_forums', 'explain' => false),
						'football_menu_forumdesc5'	=> array('lang' => 'MENU_DESC5',	'validate' => 'string',	'type' => 'text:20:20', 						 'explain' => false),
						'football_menu_forumid6'	=> array('lang' => 'MENU_ID6',		'validate' => 'int',	'type' => 'custom', 'method' => 'select_forums', 'explain' => false),
						'football_menu_forumdesc6'	=> array('lang' => 'MENU_DESC6',	'validate' => 'string',	'type' => 'text:20:20', 						 'explain' => false),
					)
				);
			break;

			default:
				trigger_error('NO_MODE', E_USER_ERROR);
			break;
		}

		if (isset($display_vars['lang']))
		{
			$user->add_lang($display_vars['lang']);
		}

		$this->new_config = $config;
		$cfg_array = (isset($_REQUEST['config'])) ? utf8_normalize_nfc(request_var('config', array('' => ''), true)) : $this->new_config;
		$error = array();

		// We validate the complete config if whished
		validate_config_vars($display_vars['vars'], $cfg_array, $error);

		if ($submit && !check_form_key($form_key))
		{
			$error[] = $user->lang['FORM_INVALID'];
		}
		// Do not write values if there is an error
		if (sizeof($error))
		{
			$submit = false;
		}

		// We go through the display_vars to make sure no one is trying to set variables he/she is not allowed to...
		foreach ($display_vars['vars'] as $config_name => $null)
		{
			if (!isset($cfg_array[$config_name]) || strpos($config_name, 'legend') !== false)
			{
				continue;
			}
			$this->new_config[$config_name] = $config_value = $cfg_array[$config_name];
			
			if ($config_name == 'football_google_league' && !$config_value)
			{
				$files = glob($phpbb_root_path . "gadget*.xml");  
				if ($files)  
				{
					foreach (glob($phpbb_root_path . "gadget*.xml") as $filename) 
					{
						@unlink($filename);
					}
				}
			}

			if ($submit)
			{
				if ($config_name == 'football_ult_points' && $config_value)
				{
					set_config('football_bank', 1);
				}
				if (isset($_POST['football_google_access_delete']))
				{
					$files = glob($phpbb_root_path . 'football_google.xml');  
					if ($files)  
					{
						@unlink($filename);
						add_log('admin', 'LOG_FOOTBALL_GOOGLE');
						trigger_error($user->lang['GOOGLE_DELETED'] . adm_back_link($this->u_action));
					}
					trigger_error($user->lang['GOOGLE_NOT_AVAILABLE'] . adm_back_link($this->u_action));
				}
				else
				{
					set_config($config_name, $config_value);
				}
			}
		}

		if ($submit)
		{
			add_log('admin', 'LOG_FOOTBALL_' . strtoupper($mode));

			trigger_error($user->lang['CONFIG_UPDATED'] . adm_back_link($this->u_action));
		}

		$this->tpl_name = 'acp_football';
		$this->page_title = $display_vars['title'];

		$template->assign_vars(array(
			'U_FOOTBALL' 		=> append_sid($phpbb_root_path . "football.$phpEx", 'side=bets'),
			'L_TITLE'			=> $user->lang[$display_vars['title']],
			'L_TITLE_EXPLAIN'	=> $user->lang[$display_vars['title'] . '_EXPLAIN'],
			'S_ERROR'			=> (sizeof($error)) ? true : false,
			'ERROR_MSG'			=> implode('<br />', $error),
			'U_ACTION'			=> $this->u_action,
			)
		);

		// Output relevant page
		foreach ($display_vars['vars'] as $config_key => $vars)
		{
			if (!is_array($vars) && strpos($config_key, 'legend') === false)
			{
				continue;
			}

			if (strpos($config_key, 'legend') !== false)
			{
				$template->assign_block_vars('options', array(
					'S_LEGEND'		=> true,
					'LEGEND'		=> (isset($user->lang[$vars])) ? $user->lang[$vars] : $vars,
					)
				);

				continue;
			}

			$type = explode(':', $vars['type']);

			$l_explain = '';
			if ($vars['explain'] && isset($vars['lang_explain']))
			{
				$l_explain = (isset($user->lang[$vars['lang_explain']])) ? $user->lang[$vars['lang_explain']] : $vars['lang_explain'];
			}
			else if ($vars['explain'])
			{
				$l_explain = (isset($user->lang[$vars['lang'] . '_EXPLAIN'])) ? $user->lang[$vars['lang'] . '_EXPLAIN'] : '';
			}

			$content = build_cfg_template($type, $config_key, $this->new_config, $config_key, $vars);

			if (empty($content))
			{
				continue;
			}

			$template->assign_block_vars('options', array(
				'KEY'			=> $config_key,
				'TITLE'			=> (isset($user->lang[$vars['lang']])) ? $user->lang[$vars['lang']] : $vars['lang'],
				'S_EXPLAIN'		=> $vars['explain'],
				'TITLE_EXPLAIN'	=> $l_explain,
				'CONTENT'		=> $content,
				)
			);

			unset($display_vars['vars'][$config_key]);
		}
	}

	/**
	* Football disable option and message
	*/
	function football_disable($value, $key)
	{
		global $user;

		$radio_ary = array(1 => 'YES', 0 => 'NO');

		return h_radio('config[football_disable]', $radio_ary, $value) . '<br /><input id="' . $key . '" type="text" name="config[football_disable_msg]" maxlength="255" size="80" value="' . $this->new_config['football_disable_msg'] . '" />';
	}

	/**
	* Football info option and message
	*/
	function football_info($value, $key)
	{
		global $user;

		$radio_ary = array(1 => 'YES', 0 => 'NO');

		return h_radio('config[football_info_display]', $radio_ary, $value) . '<br /><input id="' . $key . '" type="text" name="config[football_info]" maxlength="255" size="80" value="' . $this->new_config['football_info'] . '" />';
	}

	/**
	*  button to remove football_google.xml
	*/
	function google_access($value, $key)
	{
		global $user;

		return '<input class="button2" type="submit" id="' . $key . '_delete" name="' . $key . '_delete" value="' . $user->lang['DELETE_GOOGLE_ACCESS'] . '" />';
	}

	/**
	* selection forum
	*/
	function select_forums($value, $key)
	{
		global $user, $config;

		$forum_list = make_forum_select(false, false, true, false, false, false, true);

		// Build forum options
		$desc_field = addslashes(str_replace('id', 'desc', $key));
		$s_forum_options = '<select id="' . $key . '" name="config[' . $key . ']"';
		$s_forum_options .= " onchange=\"document.getElementById('" . $desc_field . "').value = this.options[this.selectedIndex].text;\">";

		$s_forum_options .= '<option value="0"' . ((0 == $config[$key]) ? ' selected="selected"' : '') . '>';
		$s_forum_options .= sprintf($user->lang['MENU_NO_LINK']) . '</option>';
		foreach ($forum_list as $f_id => $f_row)
		{
			$f_row['selected'] = (($f_id == $config[$key]) ? true : false);

			$s_forum_options .= '<option value="' . $f_id . '"' . (($f_row['selected']) ? ' selected="selected"' : '') . '>';
			$s_forum_options .= $f_row['padding'] . $f_row['forum_name'] . '</option>';
		}
		$s_forum_options .= '</select>';

		return $s_forum_options;
	}
	/**
	* Select ultimate points method
	*/
	function select_up_method($value, $key = '')
	{
		global $user, $config;

		$radio_ary = array(UP_NONE => 'UP_NONE', UP_WINS => 'UP_WINS', UP_POINTS => 'UP_POINTS');

		return h_radio('config[football_ult_points]', $radio_ary, $value, $key);
	}
}

?>