<?php
/**
*
* @author football phpbb3.football@gmx.de
* @package umil
* @version $Id install.php 2010-04-01 00:09:00Z football $
* @copyright (c) 2010 football (http://football.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : '../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/acp/acp_profile.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'FOOTBALL_MOD';

/*
* The name of the config variable which will hold the currently installed version
* You do not need to set this yourself, UMIL will handle setting and updating the version itself.
*/
$version_config_name = 'football_version';

$language_file = 'mods/football_mod_install';

/*
* Options to display to the user (this is purely optional, if you do not need the options you do not have to set up this variable at all)
* Uses the acp_board style of outputting information, with some extras (such as the 'default' and 'select_user' options)
*/
/* 
if (!isset($config['football_version']))
{

	$options = array(
		'wm_2010'	=> array('lang' => 'WM_2010', 'type' => 'radio:yes_no', 'default' => false),
		'1bl_2010'	=> array('lang' => '1BL_2010', 'type' => 'radio:yes_no', 'default' => false),
	);
}
*/
/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/
$logo_img = 'styles/prosilver/imageset/football.gif';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	// Version 0.9.0
	'0.9.0'	=> array(
		//Create the Football tables
		'table_add' => array(
			array('phpbb_footb_bets', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'match_no' 				=> array('USINT', 0),
					'user_id' 				=> array('UINT', 0),
					'goals_home' 			=> array('CHAR:2',''),
					'goals_guest' 			=> array('CHAR:2',''),
				),
				'PRIMARY_KEY'    		=> array('season', 'league', 'match_no', 'user_id'),
			)),
			array('phpbb_footb_leagues', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'league_name' 			=> array('VCHAR:20', ''),
					'league_name_short' 	=> array('VCHAR:3', ''),
					'league_type' 			=> array('TINT:1', 1),
					'matchdays' 			=> array('TINT:2', 0),
					'matches_on_matchday' 	=> array('TINT:2', 0),
					'win_result' 			=> array('VCHAR:10', ''),
					'win_result_02' 		=> array('VCHAR:10', ''),
					'win_matchday' 			=> array('VCHAR:255', ''),
					'win_season' 			=> array('VCHAR:255', ''),
					'points_mode' 			=> array('TINT:2', 1),
					'points_result' 		=> array('TINT:2', 0),
					'points_tendency' 		=> array('TINT:2', 0),
					'points_diff' 			=> array('TINT:2', 0),
					'points_last' 			=> array('BOOL', 1),
					'join_by_user' 			=> array('BOOL', 0),
					'join_in_season' 		=> array('BOOL', 0),
					'bet_in_time' 			=> array('BOOL', 0),
					'rules_post_id' 		=> array('UINT', 0),
				),
				'PRIMARY_KEY'    		=> array('season', 'league'),
			)),
			array('phpbb_footb_matchdays', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'matchday' 				=> array('TINT:2', 0),
					'status' 				=> array('TINT:2', 0),
					'delivery_date' 		=> array('CHAR:19', ''),
					'delivery_date_2' 		=> array('CHAR:19', ''),
					'delivery_date_3' 		=> array('CHAR:19', ''),
					'matchday_name' 		=> array('VCHAR:30', ''),
					'matches' 				=> array('CHAR:2',''),
				),
				'PRIMARY_KEY'    		=> array('season', 'league', 'matchday'),
				'KEYS'					=> array(
					'status'			=> array('INDEX', 'status'),
					'delivery_date'		=> array('INDEX', 'delivery_date'),
				),
			)),
			array('phpbb_footb_matches', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'match_no' 				=> array('USINT', 0),
					'team_id_home' 			=> array('USINT', 0),
					'team_id_guest' 		=> array('USINT', 0),
					'goals_home' 			=> array('CHAR:2',''),
					'goals_guest' 			=> array('CHAR:2',''),
					'matchday' 				=> array('TINT:2', 0),
					'status' 				=> array('TINT:2', 0),
					'match_datetime' 		=> array('CHAR:19', ''),
					'group_id' 				=> array('CHAR:1', ''),
					'formula_home' 			=> array('CHAR:9', ''),
					'formula_guest' 		=> array('CHAR:9', ''),
					'ko_match' 				=> array('BOOL', 0),
					'goals_overtime_home'	=> array('CHAR:2',''),
					'goals_overtime_guest' 	=> array('CHAR:2',''),
				),
				'PRIMARY_KEY'    		=> array('season', 'league', 'match_no'),
				'KEYS'					=> array(
					'team_id_guest'		=> array('INDEX', 'team_id_guest'),
					'team_id_home'		=> array('INDEX', 'team_id_home'),
					'matchday'			=> array('INDEX', 'matchday'),
				),
			)),
			array('phpbb_footb_matches_hist', array(
				'COLUMNS' => array(
					'match_date' 			=> array('CHAR:10', ''),
					'team_id_home' 			=> array('USINT', 1),
					'team_id_guest' 		=> array('USINT', 1),
					'match_type' 			=> array('VCHAR:5', ''),
					'goals_home' 			=> array('CHAR:2', ''),
					'goals_guest' 			=> array('CHAR:2', ''),
				),
				'PRIMARY_KEY'    		=> array('match_date', 'team_id_home', 'team_id_guest'),
				'KEYS'					=> array(
					'team_id_guest'		=> array('INDEX', 'team_id_guest'),
					'team_id_home'		=> array('INDEX', 'team_id_home'),
				),
			)),
			array('phpbb_footb_rank_matchdays', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'matchday' 				=> array('TINT:2', 0),
					'user_id' 				=> array('UINT', 0),
					'status' 				=> array('TINT:2', 0),
					'rank' 					=> array('USINT', 0),
					'points' 				=> array('USINT', 0),
					'win' 					=> array('DECIMAL', 0),
					'rank_total' 			=> array('USINT', 0),
					'tendencies' 			=> array('TINT:2', 0),
					'correct_result' 		=> array('TINT:2', 0),
				),
				'PRIMARY_KEY'    		=> array('season', 'league', 'matchday', 'user_id'),
			)),
			array('phpbb_footb_seasons', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'season_name' 			=> array('VCHAR:20', ''),
					'season_name_short' 	=> array('VCHAR:10', ''),
				),
				'PRIMARY_KEY'    		=> array('season'),
			)),
			array('phpbb_footb_teams', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'team_id' 				=> array('USINT', 1),
					'team_name' 			=> array('VCHAR:30', ''),
					'team_name_short' 		=> array('VCHAR:10', ''),
					'team_symbol' 			=> array('VCHAR:25', ''),
					'group_id' 				=> array('CHAR:1', ''),
					'matchday' 				=> array('TINT:2', 0),
				),
				'PRIMARY_KEY'    		=> array('season', 'league', 'team_id'),
			)),
			array('phpbb_footb_teams_hist', array(
				'COLUMNS' => array(
					'team_id' 				=> array('USINT', 0),
					'team_name' 			=> array('VCHAR:30', ''),
				),
				'PRIMARY_KEY'    		=> array('team_id'),
			)),
			array('phpbb_footb_extra', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'extra_no' 				=> array('USINT', 0),
					'question_type' 		=> array('TINT:2', 0),
					'question' 				=> array('VCHAR:255', ''),
					'result' 				=> array('VCHAR:255', ''),
					'matchday' 				=> array('TINT:2', 0),
					'matchday_eval' 		=> array('TINT:2', 0),
					'extra_points' 			=> array('TINT:2', 0),
					'extra_status' 			=> array('TINT:2', 0),
				),
				'PRIMARY_KEY'    		=> array('season', 'league', 'extra_no'),
				'KEYS'					=> array(
					'matchday'			=> array('INDEX', 'matchday'),
					'matchday_eval'		=> array('INDEX', 'matchday_eval'),
				),
			)),
			array('phpbb_footb_extra_bets', array(
				'COLUMNS' => array(
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'extra_no' 				=> array('USINT', 0),
					'user_id' 				=> array('UINT', 0),
					'bet' 					=> array('VCHAR:255', ''),
					'bet_points' 			=> array('TINT:2', 0),
				),
				'PRIMARY_KEY'    		=> array('season', 'league', 'extra_no', 'user_id'),
			)),
		),
		
		//Add new fields in session table for caching menu information
		'table_column_add' => array(
			array('phpbb_sessions', 'session_season', array('USINT', 0)),
			array('phpbb_sessions', 'session_league', array('CHAR:2', '')),
			array('phpbb_sessions', 'session_matchday', array('CHAR:2', '')),
		),

		// Add new Football Fields in config-table
		'config_add' => array(
			array('football_code', '0000', '0'),
			array('football_disable', '0', '0'),
			array('football_disable_msg', 'Wartung der Tipprunde. Bitte später erneut versuchen.', '0'),
			array('football_display_ranks', '30', '0'),
			array('football_founder_delete', '1', '0'),
			array('football_guest_view', '1', '0'),
			array('football_google_league', '1', '0'),
			array('football_host_timezone', $config['board_timezone'], '0'),
			array('football_info', '', '0'),
			array('football_info_display', '0', '0'),
			array('football_left_column_width', '180', '0'),
			array('football_menu_forumdesc1', 'Leer', '0'),
			array('football_menu_forumdesc2', 'Leer', '0'),
			array('football_menu_forumdesc3', 'Leer', '0'),
			array('football_menu_forumdesc4', 'Leer', '0'),
			array('football_menu_forumdesc5', 'Leer', '0'),
			array('football_menu_forumdesc6', 'Leer', '0'),
			array('football_menu_forumid1', '0', '0'),
			array('football_menu_forumid2', '0', '0'),
			array('football_menu_forumid3', '0', '0'),
			array('football_menu_forumid4', '0', '0'),
			array('football_menu_forumid5', '0', '0'),
			array('football_menu_forumid6', '0', '0'),
			array('football_name', 'Tipprunde', '0'),
			array('football_results_at_time', '1', '0'),
			array('football_right_column_width', '180', '0'),
			array('football_same_allowed', '0', '0'),
			array('football_side', '1', '0'),
			array('football_users_per_page', '30', '0'),
			array('football_view_bets', '0', '0'),
			array('football_view_tendencies', '0', '0'),
			array('football_style', $config['default_style'], '0'),
			array('football_override_style', '0', '0'),
		),

		// Add football administrator permission role
		'permission_role_add' => array(
			array('ROLE_ADMIN_FOOTBALL', 'a_', 'ROLE_DESCRIPTION_ADMIN_FOOTBALL'),
		),

		// Add football permission settings
		'permission_add' => array(
			array('a_football_config', true),
			array('a_football_delete', true),
			array('a_football_editbets', true),
			array('a_football_plan', true),
			array('a_football_results', true),
		),

		// we give some default permissions then as well?
		'permission_set' => array(
			// Global Role permissions
			array('ROLE_ADMIN_FULL', 'a_football_config'),
			array('ROLE_ADMIN_FULL', 'a_football_delete'),
			array('ROLE_ADMIN_FULL', 'a_football_editbets'),
			array('ROLE_ADMIN_FULL', 'a_football_plan'),
			array('ROLE_ADMIN_FULL', 'a_football_results'),
			array('ROLE_ADMIN_STANDARD', 'a_football_results'),
			array('ROLE_ADMIN_FOOTBALL', 'a_football_results'),
		),
		
		//Add Football modules for ACP
		'module_add' => array(
			// Add a new category named ACP_FOOTBALL to ACP_CAT_DOT_MODS
			array('acp', 0, 'ACP_FOOTBALL'),

			// Add a new category named ACP_FOOTBALL_OPERATION to ACP_FOOTBALL
			array('acp', 'ACP_FOOTBALL', 'ACP_FOOTBALL_OPERATION'),
			
			// Add the manage mode from football_results to the ACP_FOOTBALL_OPERATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_OPERATION', array(
					'module_basename'   => 'football_results',
					'module_langname'   => 'ACP_FOOTBALL_RESULTS_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_results',
				),
			),

			// Add the manage mode from football_all_bets to the ACP_FOOTBALL_OPERATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_OPERATION', array(
					'module_basename'   => 'football_all_bets',
					'module_langname'   => 'ACP_FOOTBALL_ALL_BETS_VIEW',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_editbets',
				),
			),

			// Add the manage mode from football_bets to the ACP_FOOTBALL_OPERATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_OPERATION', array(
					'module_basename'   => 'football_bets',
					'module_langname'   => 'ACP_FOOTBALL_BETS_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_editbets',
				),
			),

			// Add the manage mode from football_ko to the ACP_FOOTBALL_OPERATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_OPERATION', array(
					'module_basename'   => 'football_ko',
					'module_langname'   => 'ACP_FOOTBALL_KO_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),
			
			// Add a new category named ACP_FOOTBALL_MANAGE to ACP_FOOTBALL
			array('acp', 'ACP_FOOTBALL', 'ACP_FOOTBALL_MANAGE'),

			// Add the manage mode from football_seasons to the ACP_FOOTBALL_MANAGE category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_MANAGE', array(
					'module_basename'   => 'football_seasons',
					'module_langname'   => 'ACP_FOOTBALL_SEASONS_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),
			
			// Add the manage mode from football_leagues to the ACP_FOOTBALL_MANAGE category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_MANAGE', array(
					'module_basename'   => 'football_leagues',
					'module_langname'   => 'ACP_FOOTBALL_LEAGUES_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),
			
			// Add the manage mode from football_matchdays to the ACP_FOOTBALL_MANAGE category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_MANAGE', array(
					'module_basename'   => 'football_matchdays',
					'module_langname'   => 'ACP_FOOTBALL_MATCHDAYS_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),
			
			// Add the manage mode from football_teams to the ACP_FOOTBALL_MANAGE category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_MANAGE', array(
					'module_basename'   => 'football_teams',
					'module_langname'   => 'ACP_FOOTBALL_TEAMS_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),
			
			// Add the manage mode from football_matches to the ACP_FOOTBALL_MANAGE category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_MANAGE', array(
					'module_basename'   => 'football_matches',
					'module_langname'   => 'ACP_FOOTBALL_MATCHES_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),

			// Add the manage mode from football_extra to the ACP_FOOTBALL_MANAGE category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_MANAGE', array(
					'module_basename'   => 'football_extra',
					'module_langname'   => 'ACP_FOOTBALL_EXTRA_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),
			
			// Add a new category named ACP_FOOTBALL_CONFIGURATION to ACP_FOOTBALL
			array('acp', 'ACP_FOOTBALL', 'ACP_FOOTBALL_CONFIGURATION'),

			// Add the settings mode from football to the ACP_FOOTBALL_CONFIGURATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_CONFIGURATION', array(
					'module_basename'   => 'football',
					'module_langname'   => 'ACP_FOOTBALL_SETTINGS',
					'module_mode'       => 'settings',
					'module_auth'       => 'acl_a_football_config',
				),
			),
			
			// Add the features mode from football to the ACP_FOOTBALL_CONFIGURATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_CONFIGURATION', array(
					'module_basename'   => 'football',
					'module_langname'   => 'ACP_FOOTBALL_FEATURES',
					'module_mode'       => 'features',
					'module_auth'       => 'acl_a_football_config',
				),
			),
			
			// Add the menu mode from football to the ACP_FOOTBALL_CONFIGURATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_CONFIGURATION', array(
					'module_basename'   => 'football',
					'module_langname'   => 'ACP_FOOTBALL_MENU',
					'module_mode'       => 'menu',
					'module_auth'       => 'acl_a_football_config'
				),
			),
			
			// Add the userguide mode from football to the ACP_FOOTBALL_CONFIGURATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_CONFIGURATION', array(
					'module_basename'   => 'football',
					'module_langname'   => 'ACP_FOOTBALL_USERGUIDE',
					'module_mode'       => 'userguide',
					'module_auth'       => 'acl_a_football_plan'
				),
			),
		),

		// Add Custom Profile fields und import Data
		'custom' => array(
			'add_custom_profile_fields',
			'add_data'
		),
		
		// Purge Cache
		'cache_purge' => array(
			array(),
			array('imageset'),
			array('template'),
			array('theme'),
			array('auth'),
		),
	),
	'0.9.1'	=> array(
		// Purge Cache
		'cache_purge' => array(
			array(),
			array('template'),
		),
	),
	'0.9.2'	=> array(
		// Add new football permission settings
		'permission_add' => array(
			array('u_use_football', true),
			array('a_football_points', true),
		),

		// we give some default permissions then as well?
		'permission_set' => array(
			// Global Role permissions
			array('REGISTERED', 'u_use_football', 'group'),
			array('ROLE_ADMIN_FULL', 'a_football_points'),
		),
		
		'table_add' => array(
			array('phpbb_footb_points', array(
				'COLUMNS' => array(
					'points_id' 			=> array('UINT',  NULL, 'auto_increment'),
					'season' 				=> array('USINT', 0),
					'league' 				=> array('TINT:2', 0),
					'matchday' 				=> array('TINT:2', 0),
					'points_type' 			=> array('TINT:1', 0),
					'user_id' 				=> array('UINT', 0),
					'points' 				=> array('DECIMAL:20', 0.00),
					'points_comment' 		=> array('MTEXT_UNI', ''),
					'cash' 					=> array('BOOL', 0),
				),
				'PRIMARY_KEY'    		=> array('points_id'),
				'KEYS'					=> array(
					'user_points'		=> array('INDEX', array('season', 'league', 'user_id')),
					'matchday'			=> array('INDEX', array('season', 'league', 'matchday')),
					'points_type'		=> array('INDEX', array('season', 'league', 'points_type')),
				),
			))
		),
		
		//Add new fields in rank Matchdays for saving total ranking information
		'table_column_add' => array(
			array('phpbb_footb_rank_matchdays', 'points_total', array('USINT', 0)),
			array('phpbb_footb_rank_matchdays', 'win_total', array('DECIMAL', 0)),
			array('phpbb_footb_leagues', 'bet_ko_type', array('TINT:1', 1)),
			array('phpbb_footb_leagues', 'bet_points', array('DECIMAL', 0)),
		),
		
		// Add new Football Fields in config-table
		'config_add' => array(
			array('football_view_current', '1', '0'),
			array('football_bank', '1', '0'),
			array('football_ult_points', '0', '0'),
			array('football_ult_points_factor', '1.0', '0'),
			array('football_win_name', 'Pts', '0'),
			array('football_win_hits02', '1', '0'),
		),
		
		//Add Football modules for ACP
		'module_add' => array(
			// Add the manage mode from football_results to the ACP_FOOTBALL_OPERATION category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_OPERATION', array(
					'module_basename'   => 'football_bank',
					'module_langname'   => 'ACP_FOOTBALL_BANK_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_points',
				),
			),
		),
		
		// Recalculate ranking with new fields
		'custom' => array(
			'recalculate_ranking',
		),
		
		// Purge Cache
		'cache_purge' => array(
			array(),
			array('template'),
		),
	),
	'0.9.3'	=> array(
		
		// Add new Football Fields in config-table
		'config_add' => array(
			array('football_update_source', '', '0'),
			array('football_update_code', '', '0'),
		),
		
		//Add Football modules for ACP
		'module_add' => array(
			// Add the manage mode from football_update to the ACP_FOOTBALL_MANAGE category using the "manual" method.
			array('acp', 'ACP_FOOTBALL_MANAGE', array(
					'module_basename'   => 'football_update',
					'module_langname'   => 'ACP_FOOTBALL_UPDATE_MANAGE',
					'module_mode'       => 'manage',
					'module_auth'       => 'acl_a_football_plan',
				),
			),
		),

		// Purge Cache
		'cache_purge' => array(
			array(),
			array('template'),
		),
	),
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);


/*
* Here are our custom functions that will be called for version 0.9.0.
*
* @param string $action The action (install|update|uninstall) will be sent through this.
* @param string $version The version this is being run for will be sent through this.
*/

function run_sql_data($sql_data)
{
	global $db, $table_prefix;
	// read sql_data
	$sql_query = @file_get_contents('schemas/' . $sql_data . '.sql');
	if (!$sql_query) trigger_error($sql_data . '.sql not found!');
	$sql_query = preg_replace('#phpbb_#i', $table_prefix, $sql_query);
	$sql_query = preg_replace('/\n{2,}/', "\n", preg_replace('/^#.*$/m', "\n", $sql_query));
	$sql_query = split_sql_file($sql_query, ';');
	
	// run sql data
	foreach ($sql_query as $sql)
	{
		if (!$db->sql_query($sql))
		{
			$error = $db->sql_error();
			trigger_error($error['message']);
		}
	}
	unset($sql_query);
}

function add_data($action, $version)
{
	global $db, $table_prefix, $umil;

	if ($action == 'install')
	{
		$install_data = '';
/*
		if (request_var('1bl_2010', false))
		{
			run_sql_data('1bl_2010');
			$install_data .= ($install_data == '') ? '1. Bundesliga 2010' : ', 1. Bundesliga 2010';
		}
		if (request_var('wm_2010', false))
		{
			run_sql_data('wm_2010');
			$install_data .= ($install_data == '') ? 'WM 2010' : ', WM 2010';
		}
*/
	    return array(
			'command'	=> array(
				'ADD_DATA',
				$install_data,
			),
		);
	}
}

function profile_field_exists($fields_to_check = false)
{
	global $db;

	// quit with false if there is no value
	if (!$fields_to_check)
	{
		return false;
	}

	if (is_array($fields_to_check))
	// is an array given..
	{
		// build fieldname sring
		foreach ($fields_to_check as $field)
		{
			$field_name .= "field_name = '$field' OR ";
		}
		// cut the last 'OR'
		$field_name = substr($field_name, 0, -4);
	}
	else
	// .. or only one table?
	{
		// build fieldname string
		$field_name = "field_name = '$fields_to_check'";
	}

	// build sql sring
	$sql = 'SELECT COUNT(field_id) as field_count
		FROM ' . PROFILE_FIELDS_TABLE . ' 
		WHERE ' .$field_name;

	// and count..
	$result = $db->sql_query($sql);
	$field_count = (int) $db->sql_fetchfield('field_count');
	$db->sql_freeresult($result);

	if ($field_count == 0)
	{
		//field(s) does not exists
		return false;
	}
	else
	{
		//field(s) exists
		return true;
	}
}

function add_custom_profile_fields($action, $version)
{
	global $db, $table_prefix, $umil;

	if ($action == 'uninstall')
	{
		// collect id's
		$id_list = '';
		$sql = 'SELECT field_id 
			FROM ' . PROFILE_FIELDS_TABLE .
			" WHERE field_name IN ('footb_rem_f', 'footb_email', 'footb_rem_s')";

		$result = $db->sql_query($sql);
		$id_array = $db->sql_fetchrowset($result);
		$db->sql_freeresult($result);

		foreach ($id_array as $id)
		{
			$id_list .= $id['field_id'] . ',';
		}
		$id_list = substr($id_list, 0, strlen($id_list) - 1);

		
		// delete the fields
		$sql = 'DELETE FROM ' . PROFILE_FIELDS_TABLE . 		" WHERE field_id IN ($id_list)";
		$db->sql_query($sql);
		$sql = 'DELETE FROM ' . PROFILE_LANG_TABLE . 		" WHERE field_id IN ($id_list)";
		$db->sql_query($sql);
		$sql = 'DELETE FROM ' . PROFILE_FIELDS_LANG_TABLE . " WHERE field_id IN ($id_list)";
		$db->sql_query($sql);
		
		$umil->table_column_remove('phpbb_profile_fields_data', 'pf_footb_rem_f');
		$umil->table_column_remove('phpbb_profile_fields_data', 'pf_footb_email');
		$umil->table_column_remove('phpbb_profile_fields_data', 'pf_footb_rem_s');
		
		//all custom profile fields deleted?
		$sql = 'SELECT COUNT(field_id) as field_count
			FROM ' . PROFILE_FIELDS_TABLE;

		// and count..
		$result = $db->sql_query($sql);
		$field_count = (int) $db->sql_fetchfield('field_count');
		$db->sql_freeresult($result);

		if ($field_count == 0)
		{
			//field(s) does not exists, so only the userid's are in the data table
			$sql = 'DELETE FROM ' . PROFILE_FIELDS_DATA_TABLE;
			$db->sql_query($sql);
		}
	    return array(
			'command'	=> array(
				'DELETE_CUSTOM_PROFILE_FIELDS',
				'footb_rem_f, footb_email, footb_rem_s',
			),
		'result'	=> 'SUCCESS',
		);
	}
	if ($action == 'install')
	{
		//Add Football custom profile fields
		// new acp_profil object
		$obj_profile = new acp_profile;

		// collect available languages
		$avail_lang = array();
		$sql = 'SELECT lang_id, lang_iso
			FROM ' . LANG_TABLE . '
			ORDER BY lang_english_name';
		$result = $db->sql_query($sql);
		
		while ($row = $db->sql_fetchrow($result))
		{
			$avail_lang[$row['lang_id']] = $row['lang_iso'];
		}
		$db->sql_freeresult($result);

		// collect last order id
		$sql = 'SELECT MAX(field_order) as max_field_order
			FROM ' . PROFILE_FIELDS_TABLE;

		$result = $db->sql_query($sql);
		$new_field_order = (int) $db->sql_fetchfield('max_field_order');
		$db->sql_freeresult($result);

		$profile_fields['footb_rem_f'] = array(
			'field_name'			=> 'footb_rem_f',
			'field_type'			=> 4,
			'field_ident'			=> 'footb_rem_f',
			'field_length'			=> 2,
			'field_minlen'			=> 0,
			'field_maxlen'			=> 0,
			'field_novalue'			=> 0,
			'field_default_value'	=> 1,
			'field_validation'		=> '',
			'field_required'		=> 0,
			'field_show_on_reg'		=> 1,
			'field_show_profile'	=> 1,
			'field_hide'			=> 0,
			'field_no_view'			=> 0,
			'field_active'			=> 1,
			'field_order'			=> $new_field_order + 1,
			'lang_vars'	=> array(
				'de' => array(
					'lang_name'				=> 'Erinnerungs-Mail an die Haupt E-Mail-Adresse',
					'lang_explain'			=> 'Sollen Erinnerungs-Mails an die Haupt E-Mail-Adresse versendet werden, falls Du noch nicht getippt haben solltest?',
					'lang_default_value'	=> '',
					'l_options'				=> array('Nein', 'Ja'),
				),
				'en'	=> array(
					'lang_name'				=> 'Send remember to first email adress',
					'lang_explain'			=> 'Are memory mails to be dispatched to your first email address, if you should not have tapped yet?',
					'lang_default_value'	=> '',
					'l_options'				=> array('No', 'Yes'),
				)
			),
		);

		$profile_fields['footb_email'] = array(
			'field_name'			=> 'footb_email',
			'field_type'			=> 2,
			'field_ident'			=> 'footb_email',
			'field_length'			=> 30,
			'field_minlen'			=> 0,
			'field_maxlen'			=> 100,
			'field_novalue'			=> '',
			'field_default_value'	=> '',
			'field_validation'		=> '.*',
			'field_required'		=> 0,
			'field_show_on_reg'		=> 1,
			'field_show_profile'	=> 1,
			'field_hide'			=> 0,
			'field_no_view'			=> 0,
			'field_active'			=> 1,
			'field_order'			=> $new_field_order + 2,
			'lang_vars'	=> array(
				'de' => array(
					'lang_name'				=> '2. E-Mail-Adresse',
					'lang_explain'			=> '2. E-Mail-Adresse für den automatischen Mailverkehr der Tipprunde.',
					'lang_default_value'	=> '',
				),
				'en' => array(
					'lang_name'				=> '2. email adress',
					'lang_explain'			=> '2. email adress for the automatic mails of this tapping round.',
					'lang_default_value'	=> '',
				)
			),
		);

		$profile_fields['footb_rem_s'] = array(
			'field_name'			=> 'footb_rem_s',
			'field_type'			=> 4,
			'field_ident'			=> 'footb_rem_s',
			'field_length'			=> 2,
			'field_minlen'			=> 0,
			'field_maxlen'			=> 0,
			'field_novalue'			=> 0,
			'field_default_value'	=> 1,
			'field_validation'		=> '',
			'field_required'		=> 0,
			'field_show_on_reg'		=> 1,
			'field_show_profile'	=> 1,
			'field_hide'			=> 0,
			'field_no_view'			=> 0,
			'field_active'			=> 1,
			'field_order'			=> $new_field_order + 3,
			'lang_vars'	=> array(
				'de' => array(
					'lang_name'				=> 'Erinnerungs-Mail an die 2. E-Mail-Adresse',
					'lang_explain'			=> 'Sollen Erinnerungs-Mails an deine 2. E-Mail-Adresse versendet werden, falls Du noch nicht getippt haben solltest?',
					'lang_default_value'	=> '',
					'l_options'				=> array('Nein', 'Ja'),
				),
				'en'	=> array(
					'lang_name'				=> 'Send remember to second email adress',
					'lang_explain'			=> 'Should reminiscent mail to your 2-nd e-mail address be dispatched, if you should not have tapped yet?',
					'lang_default_value'	=> '',
					'l_options'				=> array('No', 'Yes'),
				)
			),
		);

		// initialize $profile_sql array
		$profile_sql = array();
		$fieldlist = '';
		
		// create profile fields
		foreach($profile_fields as $field => $field_values) 
		{
			if (!profile_field_exists($field))
			// field does not exist, create it
			{
				// create fieldlist for success-message
				$fieldlist .= $profile_fields[$field]['field_name'] & ', ';
				// copy the information temporarly and unset the values we don't need
				$tmp_profile_fields = $profile_fields[$field];
				unset($tmp_profile_fields['lang_vars']);
	
				// create the fields
				$sql = 'INSERT INTO ' . PROFILE_FIELDS_TABLE . ' ' . $db->sql_build_array('INSERT', $tmp_profile_fields);
				$db->sql_query($sql);
	
				// build sql for new field
				$field_id = $db->sql_nextid();
				$profile_sql[] = $obj_profile->add_field_ident('pf_' . $field, $field_values['field_type']);
	
				// collect fieldvalues for each language, if not defined use english
				foreach($avail_lang as $lang_id => $lang_iso)
				{
					$lang = isset($field_values['lang_vars'][$lang_iso]) ? $lang_iso : 'en';
	
					$sql_ary = array(
						'lang_name'				=> $field_values['lang_vars'][$lang]['lang_name'],
						'lang_explain'			=> $field_values['lang_vars'][$lang]['lang_explain'],
						'lang_default_value'	=> '',
					);
					$sql_ary['field_id'] = $field_id;
					$sql_ary['lang_id'] = $lang_id;
	
					$profile_sql[] = 'INSERT INTO ' . PROFILE_LANG_TABLE . ' ' . $db->sql_build_array('INSERT', $sql_ary);
	
					//if there are language options, collect them too
					if (isset($field_values['lang_vars'][$lang]['l_options']))
					{
						foreach($field_values['lang_vars'][$lang]['l_options'] as $option_id => $value)
						{
							// unset $sql_ary and give new values
							$sql_ary 				= array('lang_value' => $value);
							$sql_ary['field_id'] 	= $field_id;
							$sql_ary['lang_id'] 	= $lang_id;
							$sql_ary['option_id'] 	= (int) $option_id;
							$sql_ary['field_type'] 	= $profile_fields[$field]['field_type'];
							$profile_sql[] = 'INSERT INTO ' . PROFILE_FIELDS_LANG_TABLE . ' ' . $db->sql_build_array('INSERT', $sql_ary);
						}
					}
				}
			}
		}

		// and.. action! Give the collected values to database and create the fields
		$db->sql_transaction('begin');
		foreach ($profile_sql as $sql)
		{
			$result = $db->sql_query($sql);
		}
		$db->sql_transaction('commit');
		$db->sql_freeresult($result);

		$fieldlist = substr($fieldlist,1, strlen($fieldlist) - 2);
	    return array(
			'command'	=> array(
				'ADD_CUSTOM_PROFILE_FIELDS',
				'footb_rem_f, footb_email, footb_rem_s',
			),
		);
	}
}
function recalculate_ranking($action, $version)
{
	global $db, $phpbb_root_path, $phpEx, $table_prefix, $league_info, $umil;

	if ($action == 'update')
	{
		include($phpbb_root_path . 'football/includes/functions.' . $phpEx);
		$sql = 'SELECT DISTINCT season, league
			FROM ' . FOOTB_RANKS . '
			ORDER BY season ASC, league ASC';
		$result = $db->sql_query($sql);
		
		while ($row = $db->sql_fetchrow($result))
		{
			$league_info = league_info($row['season'], $row['league']);
			save_ranking_matchday($row['season'], $row['league'], 1, false);
		}
		$db->sql_freeresult($result);
	    return array(
			'command'	=> array(
				'RECALCULATE',
				$table_prefix . 'footb_rank_matchdays',
			),
		);
	}
}

?>